package com.friday.custody.service.logicService;

import com.friday.custody.utils.R;

public interface LogicExternalService {

    /**
     * 查询数据
     *
     * @param tenantName
     * @param accountKey
     * @param type
     * @param params 里面包含租户名、账户key、要查询哪个表：每个表的其他查询参数
     * @return
     */
    R queryData(String tenantName, String accountKey, String type, String params);

    R queryDictionary(String tenantName, String type, String accountKey);

    R queryDictionaryDirectory(String tenantName, String accountKey,String params);

    R saveTenants(String tenantName, String accountKey, String params);

    R saveEscrowAuthorizations(String tenantName, String accountKey, String params);

    R queryPublicDataDirectory(String tenantName, String accountKey, String params);

    R queryPublicData(String tenantName, String type, String accountKey, String params);

    R saveTenantMapping(String admin, String accountKey, String tenant);

    R queryTenantMapping(String admin, String accountKey, String params);
}

